var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import { h } from './index-d0047af2.js';
var ElementQuestionBase = function (props, children) {
    var question = props.question, required = props.required;
    return __spreadArrays([
        h("bce-input", Object.assign({ type: "textarea" }, question, { validation: "required", compact: true }))
    ], children, [
        h("bce-switch", Object.assign({}, required))
    ]);
};
export { ElementQuestionBase as E };
